BBCIM(1)

NAME
bbcim - Acorn BBC Micro file conversion utility

SYNOPSIS
bbcim [-H] [-V] [ -a[b] [r] image file ...] [-c image] [-d image file ...] [ -e[ds] [#] [b] [rq] image [file ...]] [-crc] [-40 | -80 | -max | -min]
-s[ #] file
-x file ...
-y file ...
-icrc file ...
-xcrc
-interss [sd|dd] image image image
-splitds [sd|dd] image
-ddos2dfs image
-w62dfs image

DESCRIPTION
bbcim is a file conversion utility to help in transferring files and conversion of disk images for use with BBC Micro emulators.

The bbcim utilitiy can be invoked to perform a variety of different conversions - each synopsis form provides a different conversion. The first synopsis form has the following options:

-H  Display usage information.

-V  Display version information.

-a[b]
    [r] image file ... Add files (in archive format) to the disk image.

    Information files are automatically skipped so

        bbcim -a diskimage *

    will work without problems. If the disk image didn't exist a new one will be created. The modifier r removes the files after adding them to the diskimage and the modifier b allows files to be added without an information file existing - the load and execute addresses of the file will be set to 0.

-c image
    List disk image catalogue.

-d image file ...
    Delete files from disk image.

    Files without a BBC directory are assumed to have the root directory, e.g. file is assumed to be $.file

-e[ds]
    [#] [b] [r] image [file ...] Extract files from the disk image specified in image.

    When the extract option is specified without modifiers files are extracted with the filename format ~ image.$.file and an information file (containing load and execution addresses) of filename format ~ image.$.file.inf is created.

    The d modifier places all files in a directory named after the disk image, i.e. ~ image/$.file

    The s modifier will extract files with short filenames in that they don't include the image name in any way.

    The # modifier removes the BBC root directory "$" and glues other directories to the filename which may result in name clashes. That is E.E and EE would clash. If this happens you will be asked whether what you want to do

    b modifier only extracts the bare files - no information files are created.

    If the r modifier is specified the image is deleted after all files have been extracted.

    In all cases a catalogue file imagefile.cat is made except when a list of file names is given, in which case only the files in the list are extracted from the disk image and r is ignored.

-crc
    Calculate CRCs for all the files in the disk image.

-40 Expand the disk image to 40 tracks.

-80 Expand the disk image to 80 tracks.

-max
    Expand the disk image to (almost) 256K.

-min
    Truncate or minimise the disk image. This is equivalent to a *COMPACT and cutting off after last used sector.

The remaining synopsis forms are as follows:

-s[#]
    file Split a text file with file information into information files. Lines not starting with a BBC (DFS) file name are skipped. The modifier # removes the DFS directory $ and glues others to the file name. This can be used to make archive files from an xbeeb directory CAN BE USED TO MAKE ARCHIVE FILES FROM AN XBEEB DIRECTORY.

-x file ...
    "xbeeb" conversion of archive files in the list.

-y file ...
    Rename archive and information files to standard format (as produced with # in -e), adds CRC's if not found or check crc's if found.

-icrc file ...
    Check CRCs of given archive files.

-xcrc
    Check CRCs in a xbeeb catalogue file against the real files.

-interss [sd|dd]
    image1 image2 image3 Interleaves single sided disk images image1 and image2 to create a new image image3.

-splitds [Sd|dd]
    file Split an interleaved disk image image into ~ image.0 and ~ image.1.

-ddos2dfs image
    Split a single sided DDOS disk dump into several DFS disk images.

-w62dfs image
    Split a single sided Watford 62 DFS disk image image into 2 DFS disk images image.w1 and image.w2.

AUTHOR
bbcim was written by Wouter Scholten last known email address wouters@cistron.nl. This man page was put together by Nick Hudson (nick@nthcliff.demon.co.uk)